//! Discord bot providing a subscription system to topics.
//! Powered by [`Serenity`]
//!
//! [`Serenity`]: https://github.com/serenity-rs/serenity

#![deny(missing_docs)]
#![deny(warnings)]

mod client;
mod database;
mod discord;
mod environment;
mod logs;

use client::Client;
use logs::init_logger;

#[tokio::main]
async fn main() {
    // Start the logger
    init_logger();

    let mut client = Client::new().await;

    client.start().await;
}
